Name: einarc
Version: 1.4
Release: alt0.0.2.M40.1

URL: http://www.inquisitor.ru/doc/einarc/
Packager: Mikhail Yakshin <greycat@altlinux.org>

Summary: Universal storage RAID command line interface (CLI)
License: GPL3
Group: System/Configuration/Hardware

Source: %name-%version.tar

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Thu Dec 18 2008
BuildRequires: ruby ruby-module-optparse asciidoc-a2x getopt

Requires: mdadm ruby-module-optparse make wget unzip

%description
Einarc is a part of Inquisitor platform, a universal storage RAID
command line interface and an API that provides management for various
hardware/software RAID devices, uniting them all in a single paradigm.

Einarc works as a translator that makes it possible for a user to
control all these devices using simple terms like "physical disc",
"logical disc", "adapter", etc, while transparently converting these
requests to proprietary RAID paradigms. In fact, the system still uses
underlying proprietary CLIs, but the user doesn't interact with them
directly, staying in a single, well-documented interface.

%prep
%setup

%build
./configure \
	--destdir=%buildroot \
	--target=%_arch \
	--bindir=%_sbindir \
	--rubysharedir=%ruby_sitelibdir/raid \
	--rubylibdir=%ruby_sitearchdir \
	--einarcvardir=%_localstatedir/einarc \
	--modules=software
make
make doc

%install
make install

%files
%_sbindir/*
%_localstatedir/einarc
%ruby_sitelibdir/raid
%doc README NEWS COPYING AUTHORS doc/xhtml/manual.html doc/xhtml/images

%changelog
* Tue Jan 20 2009 Vladimir V. Kamarzin <vvk@altlinux.org> 1.4-alt0.0.2.M40.1
- Rebuild for 4.0

* Sat Jan 10 2009 Mikhail Yakshin <greycat@altlinux.org> 1.4-alt0.2
- Rebuild for Sisyphus
- Added documentation

* Thu Dec 18 2008 Vladimir V. Kamarzin <vvk@altlinux.org> 1.4-alt0.1
- Fix Release tag due to sisyphus_check

* Thu Dec 18 2008 Mikhail Yakshin <greycat@altlinux.org> 1.4-alt0
- Initial early build for ALT Linux

